## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global libgmobile_commit 760d73bb76ef450d375764cd33ca4e100f1a7c76

Name:		phosh-mobile-settings
Version:	0.37.0
Release:	1%{?dist}
Summary:	Mobile Settings App for phosh and related components
License:	GPLv3+
URL:		https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings
Source0:	https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/archive/v%{version}/phosh-mobile-settings-v%{version}.tar.gz
Source1:	https://gitlab.gnome.org/World/Phosh/gmobile/-/archive/%{libgmobile_commit}/gmobile-%{libgmobile_commit}.tar.gz

ExcludeArch:	i686

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	meson

BuildRequires:	pkgconfig(glib-2.0) >= 2.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.62
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.62
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.62
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk4) >= 4.12.5
BuildRequires:	pkgconfig(gtk4-wayland) >= 4.4
BuildRequires:	pkgconfig(libadwaita-1) >= 1.4
BuildRequires:	pkgconfig(wayland-client) >= 1.14
BuildRequires:	pkgconfig(wayland-protocols) >= 1.12
BuildRequires:	appstream-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	desktop-file-utils
BuildRequires:	phosh

Requires:		feedbackd
Requires:		phoc >= 0.30.0
Requires:		phosh >= 0.36.0

%description
Mobile Settings App for phosh and related components

%prep
%setup -a1 -q -n %{name}-v%{version}

mv gmobile-%{libgmobile_commit} subprojects/gmobile

%build
# FIXME: Split gmobile to it's own package
%meson -Dgmobile:default_library=static
%meson_build

%install
%meson_install
rm %{buildroot}%{_libdir}/libgmobile.{a,so,so.0c}
rm %{buildroot}%{_libdir}/pkgconfig/gmobile.pc
%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%{_bindir}/phosh-mobile-settings
%dir %{_libdir}/phosh-mobile-settings
%{_libdir}/phosh-mobile-settings/plugins/libms-plugin-librem5.so
%{_datadir}/applications/mobi.phosh.MobileSettings.desktop
%{_datadir}/icons/hicolor/scalable/apps/mobi.phosh.MobileSettings.svg
%{_datadir}/icons/hicolor/symbolic/apps/mobi.phosh.MobileSettings-symbolic.svg
%{_datadir}/metainfo/mobi.phosh.MobileSettings.metainfo.xml

%doc README.md
%license COPYING

%changelog
## START: Generated by rpmautospec
* Sun May 19 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.37.0-1
- Upstream release 0.37.0

* Mon Apr 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-5
- Unretirement Releng Request: https://pagure.io/releng/issue/12084

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 17 2023 torbuntu <torbuntu@fedoraproject.org> - 0.32.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
